Amilo L1310G laptop fan stops at kernel load

Bug #69925 reported by David Rando on 2006-11-02
26
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
Declined for Gutsy by Tim Gardner
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Declined for Gutsy by Tim Gardner
Hardy
High
Steve Conklin
Intrepid
High
Steve Conklin
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned
Declined for Gutsy by Tim Gardner
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: linux-image-2.6.17-10-386

On the notebook fujitsu amilo l1310g, based on ATI chipset with xpress 200m video card, when I boot with this kernel, a few seconds after the splash screen, the fan stops and then, the cpu overheat.

If i boot with the "old" 2.6.15 from dapper, no problems with the fan (always on).

I've noticed that, somtimes, the fan indeed work, and when it does, it does the way it's meant to be, not always on.

I've done lots of test, adding nolapic, noapic, noacpi, etc, etc, and always have the same problem.

I'm sure this can happend with the other laptops with the same chipset.

dca (angelo-dicanto) wrote :

Also on feisty, kernel 2.6.20-16-386, there is the same problem!

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/124168

David Rando (david-rando) wrote :

Yep, i have to be tweaking the files /proc/acpi/thermal_events/THRM the files trip_points and polling_frequency, changing the power.sh and so on for acpi events in order to make the fan starts automatically on ubuntu. Previously, we didn't have this problem at all, and it's the last problem (big one, besides the poor ati drivers) to make this laptop work like a breeze with ubuntu.

dca (angelo-dicanto) wrote :

So, if I understand well, have you found a solution? I'm newbie with Linux OS, can you help me? thanks :-)

=>GOTT<= (deintodistnah) wrote :

I just installed Hardy with the new Kernel and i have now the same problem. On Gutsy the fan at least was running (although permanent), but i could integrate a script to control the fan. Now not even this works...

Matthew Woerly (nattgew) wrote :

I added the kernel versions that were mentioned as being affected.
Can anyone else implement the changes that Eversmann made to fix the problem?

David Rando (david-rando) wrote :

I posted what i'm done to fix all the problems with the laptops and make it work on the wiki:
https://wiki.ubuntu.com/LaptopTestingTeam/FujitsuAmiloL1310G?highlight=%28l1310g%29

What i posted in the thread was old news, i finally tweaked an dsdt file to fix the problem:

http://launchpadlibrarian.net/13974391/dsdt.aml

Regards.

Matthew Woerly (nattgew) wrote :

Thanks for the update, and thanks for the workaround.
I'll see what I can do about getting this bug marked properly.

Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Edgy Eft 6.10 has reached it's end of life. As a result, we are closing the linux-source-2.6.17 Edgy Eft kernel task.

Changed in linux-source-2.6.17:
status: New → Invalid
Changed in linux:
status: New → Confirmed

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

David Rando (david-rando) wrote :

All right, i'll take a look at it and report a new bug if it's necessary.

Thanks for the information ;-)

Risto H. Kurppa (risto.kurppa) wrote :

I bumped to this bug while installing to a friend: can't really test it. So eversmann, really appreciated if you can try it and report if it helps.

MikkoD (mikko-dittmer) wrote :

Also have an Amilo l1310g here. Tried with kubuntu beta with the 2.6.27-4 kernel. Fans will stay either
always on or always off apparently depending on the temperature at which the machine was started.

MikkoD (mikko-dittmer) wrote :

This bug seems to have been resolved upstream

http://bugzilla.kernel.org/show_bug.cgi?id=8049

With a vanilla 2.6.28-rc1 kernel and bios version 1.0F and adding the kernel boot option "acpi.power_nocheck=1" the fans will work properly.

Thanks MikkoD. I'm pasting the upstream git commit id's here and will reassign this to the kernel team. However, against 2.6.20 this will be closed as Feisty Fawn 7.04 has reached it's end of life - http://www.ubuntu.com/news/ubuntu-7.04-end-of-life . Thanks.

commit 6415e12ba0f92a54f02d9c4ecaa3c82f35f3d335
Author: Zhao Yakui <email address hidden>
Date: Mon Aug 11 14:59:59 2008 +0800

    ACPI: Add DMI check to disable power state check in power transition
...
commit f5adfaa372c76423b6e8e4727a9701330374f364
Author: Zhao Yakui <email address hidden>
Date: Mon Aug 11 14:57:50 2008 +0800

    ACPI: Add "acpi.power_nocheck=1" to disable power state check in power
transition
...
commit eab4b645769fa2f8703f5a3cb0cc4ac090d347af
Author: Zhao Yakui <email address hidden>
Date: Mon Aug 11 14:54:16 2008 +0800

    ACPI: Attach the ACPI device to the ACPI handle as early as possible

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in linux-source-2.6.20:
status: New → Won't Fix
Steve Conklin (sconklin) on 2008-11-26
Changed in linux:
assignee: ubuntu-kernel-team → sconklin
status: Triaged → In Progress
Steve Conklin (sconklin) wrote :

I've applied the upstream patches to the tree containing proposed intrepid updates. Could you please test and see if this resolves the problem?

The test kernel is located here:

http://people.ubuntu.com/~sconklin/69925/

Thanks!

Steve Conklin (sconklin) wrote :

Just to be clear, this is not yet approved for intrepid updates, that's just what I applied it to.

MikkoD (mikko-dittmer) wrote :

Yes, the fans work correctly with the test kernel

Thank you!

Tim Gardner (timg-tpi) on 2008-12-02
Changed in linux-source-2.6.20:
status: New → Invalid
status: New → Invalid
Changed in linux:
assignee: nobody → sconklin
importance: Undecided → High
milestone: none → ubuntu-8.04.4
status: New → In Progress
assignee: nobody → sconklin
importance: Undecided → High
milestone: none → intrepid-updates
status: New → In Progress
importance: Medium → Undecided
status: In Progress → Fix Released
assignee: sconklin → nobody
Risto H. Kurppa (risto.kurppa) wrote :

Well done! Does the status mean that Hardy will get a fix for this?

David Rando (david-rando) wrote :

Awesome!!

I'll install an intrepid copy on a l1310g as soon as i see the new kernel ready to apply. Then i'll update the l1310g page on the wiki.

Thanks a lot for the work.

Steve Conklin (sconklin) wrote :

Here's a test kernel with the same patches applied against hardy, in case anyone would like to test that.

http://people.ubuntu.com/~sconklin/69925/hardy/

=>GOTT<= (deintodistnah) wrote :

I can confirm, that the fan is also running correctly with the hardy test kernel.

Steve Conklin (sconklin) on 2008-12-04
Changed in linux:
status: In Progress → Fix Committed
status: In Progress → Fix Committed
Steve Conklin (sconklin) wrote :

SRU Justification - Laptop fan stops at kernel load

Impact: Fan stops and CPU overheats

Patch Description: Add acpi special handling (3 upstream patches)

Patches:
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-hardy.git;a=commit;h=55d1c6812cf9b3e3ef8dc34d436e47dde9d35366
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-hardy.git;a=commit;h=74f68a16acf8024a33f7c9e1fe0beb53e7bba3c3
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-hardy.git;a=commit;h=9371d05d26492631d39f9bfb6f9e98527ebf70d5

Test Case: See if the fan works. These patch sets have been tested on both intrepid and hardy

Steve Conklin (sconklin) wrote :

Thanks for the fast testing, it helped me move this one along.

Risto H. Kurppa (risto.kurppa) wrote :

Great! I posted the link for the person who had the original problem to try the Hardy version, will report later if it helped. Do the commits mean that it'll eventually be included in Hardy updates?

Steve Conklin (sconklin) wrote :

yes, this will be included in a hardy update

Steve Langasek (vorlon) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

lebbok (lebbok) wrote :

The work around using the kernel switch acpi.power_nocheck=1 seems to work in kernel 2.6.27-11, but not all the time. About 1 in 10 boots the fan still does not come on and it heats up and shuts down. What can I do to be of assistance as I am desperate to move my laptop away from MS.

Steve Beattie (sbeattie) wrote :

I suspect Tim meant to target this fix for the upcoming 8.04.2 release, not the far-off 8.04.4. Marking the Intrepid target against the no-package task invalid (the Intrepid target for the kernel is still the same.)

Changed in linux:
milestone: ubuntu-8.04.4 → ubuntu-8.04.2

Can anyone comment if they've been able to test and confirm this is fixed with the kernel in hardy-proposed? @David Rando, since you are the original bug reporter, would you be able to test and confirm? I unfortunately do not have the hardware to test. We'd definitely appreciate any feedback before blindly pushing out a fix for Hardy without any verification. Thanks.

Steve Langasek (vorlon) wrote :

this has not yet been uploaded to hardy-proposed, so is not a candidate for 8.04.2; pushing back the milestone.

Changed in linux:
milestone: ubuntu-8.04.2 → ubuntu-8.04.3
David Rando (david-rando) wrote :

Hi.

I would be able to test it if i can download an image with the kernel loaded in it, because i don't have this laptop anymore (but my sister has it).

I think she has a version of mint installed. I'll take a look if it's based on hardy, load the proposed repository and see if i can test it from there.

either way, i'll post it asap the results.

Thanks for the effort.

MikkoD (mikko-dittmer) wrote :

I recently installed Hardy since there were other unrelated problems in intrepid. Have tested the kernels Steve Conklin provided for hardy and intrepid, also compiled my own from hardy-proposed git tree. Fans have worked correctly in all versions with the acpi.power_nocheck fix so far.

Stefan Bader (smb) on 2009-01-12
Changed in linux:
milestone: ubuntu-8.04.3 → ubuntu-8.04.2
Steve Langasek (vorlon) on 2009-01-13
Changed in linux:
milestone: ubuntu-8.04.2 → ubuntu-8.04.3
Steve Langasek (vorlon) wrote :

Accepted into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

avatar3 (sloueran) wrote :

hey. i tried the the test kernel and all the commands and copying the dsdt.aml file on my laptop. its the L1310G with intrepid, but none of those things helped. still after a while of usage the fan goes off and cpu starts to warm... any ideas for this ? sorry for my bad english..

Launchpad Janitor (janitor) wrote :
Download full text (16.6 KiB)

This bug was fixed in the package linux - 2.6.27-11.25

---------------
linux (2.6.27-11.25) intrepid-proposed; urgency=low

  [ Jeff Layton ]

  * SAUCE: cifs: make sure we allocate enough storage for socket address
    - LP: #318565

linux (2.6.27-11.24) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: don't use buggy _BCL/_BCM/_BQC for backlight control"
    - LP: #311716
  * SAUCE: acpi: Hack to enable video and vendor backlight implementations
    - LP: #311716
  * SAUCE: Force vendor backlight control on ThinkPad T61
    - LP: #311716

  [ Upstream Kernel Changes ]

  * Revert "thinkpad_acpi: fingers off backlight if video.ko is serving
    this functionality"
    - LP: #311716

linux (2.6.27-11.23) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: don't use buggy _BCL/_BCM/_BQC for backlight control
    - LP: #311716, #314119

  [ Jim Lieb ]

  * SAUCE: atl2: add tx bytes statistic
    - LP: #268622

  [ Upstream Kernel Changes ]

  * i915: Save/restore MCHBAR_RENDER_STANDBY on GM965/GM45
    - LP: #276943

linux (2.6.27-11.22) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * Revert "synchronise our linux-libc-dev with the kernel userspace
    headers". It was causing regressions.
    - LP: #300803

  [ Brian Rogers ]

  * SAUCE: Add support for MSI TV@nywhere Plus remote
    - LP: #281647

  [ Tim Gardner ]

  * SAUCE: Dell laptop digital mic does not work, PCI 1028:0271
    - LP: #309508

  [ Upstream Kernel Changes ]

  * Revert "sched_clock: prevent scd->clock from moving backwards"
  * AMD IOMMU: enable device isolation per default
  * bonding: fix miimon failure counter
  * x86 Fix VMI crash on boot in 2.6.28-rc8
  * libata: fix Seagate NCQ+FLUSH blacklist
  * e1000e: fix double release of mutex
  * can: Fix CAN_(EFF|RTR)_FLAG handling in can_filter
  * can: omit received RTR frames for single ID filter lists
  * iwlwifi: clean key table in iwl_clear_stations_table function
  * net: eliminate warning from NETIF_F_UFO on bridge
  * unicode table for cp437
  * console ASCII glyph 1:1 mapping
  * key: fix setkey(8) policy set breakage
  * firewire: fw-ohci: fix IOMMU resource exhaustion
  * ieee1394: add quirk fix for Freecom HDD
  * SUNRPC: Fix a performance regression in the RPC authentication code
  * b1isa: fix b1isa_exit() to really remove registered capi controllers
  * macfb: Do not overflow fb_fix_screeninfo.id
  * setup_per_zone_pages_min(): take zone->lock instead of zone->lru_lock
  * xilinx_hwicap: remove improper wording in license statement
  * Linux 2.6.27.10 except for "iwlagn: fix RX skb alignment". Besides causing
    an ABI bump it only applies to machines using > 4K page size (such as PowerPC).
    Pick this one up on the next ABI bumping upload.
    - LP: #309731

linux (2.6.27-11.21) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * synchronise our linux-libc-dev with the kernel userspace headers
    - LP: #300803

  [ Jim Lieb ]

  * SAUCE: [PATCH 1/1] USB: Unusual devs patch for Nokia 5610
    - LP: #287701

  [ Michael Krufky ]

  * sms1xxx: use new firmware for Hauppauge WinTV MiniStick
    - LP: #299671
  * sms1xxx: add autodetection support for Hauppa...

Changed in linux:
status: Fix Committed → Fix Released
avatar3 (sloueran) wrote :

Could you be a little more excact? what to do ? i tried apt-cache search 2.6.27-11.25 and didnt find anything? or is it something else to do??

MikkoD (mikko-dittmer) wrote :

Tested successfully linux-image 2.6.24-23 from hardy-proposed.
Also intrepid kernel 2.6.27-11 works.

Thank you.

Koopee (koopee1234) wrote :

Unfortunately it seems that the fan does not work for me. (Amilo l1310g)
Tried with ubuntu 8.10 and kernels 2.6.27-13 and the standard 2.6.27-11

The fan turns off when the temperature is lowered and won't turn on afterwards.

=>GOTT<= (deintodistnah) wrote :

I made the same experience. The fix worked on hardy but not on intrepid.

MikkoD (mikko-dittmer) wrote :

Please check you have the kernel option "acpi.power_nocheck=1" added for all kernel versions.
What bios version are you using? I´m using 1.0F.

Koopee (koopee1234) wrote :

I'm using 1.0F. I tried the option acpi.power_nocheck=1. Do I need additionally noapic, nolapic or noacpi kernel options, since the sound system stopped working. The sound did play, but there was crackling noise present.

Also the overall system responded a bit slow.

MikkoD (mikko-dittmer) wrote :

The only thing you should change to a default installation is to add the acpi.power_nocheck option.

I have had problems with sound and networking (b44 driver) with this machine on occasion, tough
not with either of the current kernels (intrepid and hardy). The sound and network issues have been present prior to the acpi.power_nocheck fix which leads me to believe these are unrelated issues.

The page is outdated at: https://wiki.ubuntu.com/LaptopTestingTeam/FujitsuAmiloL1310G
Don't change the dsdt.aml file. Also the laptop described there seems to be a slightly different model as I have firewire and don't have infrared. Also my wireless card is based on the rt2500pci chip and is the only thing not working properly at this time (upstream issue).

Launchpad Janitor (janitor) wrote :
Download full text (5.1 KiB)

This bug was fixed in the package linux - 2.6.24-24.53

---------------
linux (2.6.24-24.53) hardy-proposed; urgency=low

  [Stefan Bader]

  * Rebuild of 2.6.24-24.51 with 2.6.24-23.52 security patches applied.

linux (2.6.24-24.51) hardy-proposed; urgency=low

  [Alessio Igor Bogani]

  * rt: Updated PREEMPT_RT support to rt27
    - LP: #324275

  [Steve Beattie]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [Upstream Kernel Changes]

  * KVM: MMU: Add locking around kvm_mmu_slot_remove_write_access()
    - LP: #335097, #333409
  * serial: 8250: fix shared interrupts issues with SMP and RT kernels
    - LP: #280821
  * 8250.c: port.lock is irq-safe
    - LP: #280821
  * ACPI: Clear WAK_STS on resume
    - LP: #251338

linux (2.6.24-24.50) hardy-proposed; urgency=low

  [Alok Kataria]

  * x86: add X86_FEATURE_HYPERVISOR feature bit
    - LP: #319945
  * x86: add a synthetic TSC_RELIABLE feature bit
    - LP: #319945
  * x86: vmware: look for DMI string in the product serial key
    - LP: #319945
  * x86: Hypervisor detection and get tsc_freq from hypervisor
    - LP: #319945
  * x86: Use the synthetic TSC_RELIABLE bit to workaround virtualization
    anomalies.
    - LP: #319945
  * x86: Skip verification by the watchdog for TSC clocksource.
    - LP: #319945
  * x86: Mark TSC synchronized on VMware.
    - LP: #319945

  [Colin Ian King]

  * SAUCE: Bluetooth USB: fix kernel panic during suspend while streaming
    audio to bluetooth headset
    - LP: #331106

  [James Troup]

  * XEN: Enable architecture specific get_unmapped_area_topdown
    - LP: #237724

  [Stefan Bader]

  * Xen: Fix FTBS after Vmware TSC updates.
    - LP: #319945

  [Upstream Kernel Changes]

  * r8169: fix RxMissed register access
    - LP: #324760
  * r8169: Tx performance tweak helper
    - LP: #326891
  * r8169: use pci_find_capability for the PCI-E features
    - LP: #326891
  * r8169: add 8168/8101 registers description
    - LP: #326891
  * r8169: add hw start helpers for the 8168 and the 8101
    - LP: #326891
  * r8169: additional 8101 and 8102 support
    - LP: #326891
  * Fix memory corruption in console selection
    - LP: #329007

linux (2.6.24-23.52) hardy-security; urgency=low

  [Stefan Bader]
  * rt: Fix FTBS caused by shm changes
    - CVE-2009-0859

  [Steve Beattie]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [Upstream Kernel Changes]

  * NFS: Remove the buggy lock-if-signalled case from do_setlk()
    - CVE-2008-4307
  * sctp: Avoid memory overflow while FWD-TSN chunk is received with bad
    stream ID
    - CVE-2009-0065
  * net: 4 bytes kernel memory disclosure in SO_BSDCOMPAT gsopt try #2
    - CVE-2009-0676
  * sparc: Fix mremap address range validation.
    - CVE-2008-6107
  * copy_process: fix CLONE_PARENT && parent_exec_id interaction
    - CVE-2009-0028
  * security: introduce missing kfree
    - CVE-2009-0031
  * eCryptfs: check readlink result was not an error before using it
    - CVE-2009-0269
  * dell_rbu: use scnprintf() instead of less secure sprintf()
    - CVE-2009-0322
  * drivers/net/skfp: if !capable(CAP_NET_ADMIN): inverted logic
    - CVE-2009-0675
  * Ext4: Fix online res...

Read more...

Changed in linux (Ubuntu Hardy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.